%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name prometheus_client
%define version 0.7.1
%define unmangled_version 0.7.1
%define unmangled_version 0.7.1
%define release 1

Summary: Python client for the Prometheus monitoring system.
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}prometheus_client
Version: %{version}
Release: %{release}
Source0: prometheus_client-%{unmangled_version}.tar.gz
License: Apache Software License 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/prometheus_client-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Brian Brazil <brian.brazil@robustperception.io>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/prometheus/client_python


%description
See https://github.com/prometheus/client_python/blob/master/README.md for documentation.


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n prometheus_client-%{unmangled_version} -n prometheus_client-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
